<? $this->headScript()->appendFile('/js/scrollspy.js');die; ?>
<?
	$rows = array();
	$config = Zend_Registry::get('escorts_config');
	
	for ( $i = 0; $i < ceil(count($this->escorts) / $config['perRow']); $i++ ) {
		$rows[] = array_slice($this->escorts, $i * $config['perRow'], $config['perRow']);
	}

	foreach ( $rows as $i => $escorts ) {
		foreach ( $escorts as $j => $escort ) {
			if ( is_null($escort) ) {
				unset($rows[$i][$j]);
			}
		}
	}
	
?>

<div id="premium" class="escorts">
	<div class="legend">
		<div class="i">
			<?= __('premium_escorts') ?>

		</div>
	</div>

<? if ( count($rows) > 0 ): ?>
<? $from = 'main_premium_spot'; $DEFINITIONS = Zend_Registry::get('defines'); ?>
	
<? foreach ( $rows as $i => $row ): ?>
<div class="row <?= ( count($rows) == $i + 1 ) ? 'last' : '' ?>">

<? foreach ( $row as $esc_k => $escort ):

    $escort = new Model_EscortV2Item($escort) ?>

<div class="escort h prem">
	<a class="showname" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => $from, 'escort_id' => $escort->id)) ?>"><?= $escort->showname ?></a>
	<div class="wrap">
		<div class="image">
<? if ( $escort->is_new ): ?>
			<span class="new"></span>
			
<? endif ?>
	<? if( $escort->is_suspicious && ! $escort->is_online ): ?>
	<span class="suspicious"></span>
	<? endif; ?>

	<? if ( $this->sort_param == 'newest' ): ?>
	<? $label = ( date('d.m.Y') == date('d.m.Y', $escort->date_registered) ? $this->t('today_new') : date('d.m.Y', $escort->date_registered) ) ?>
	<? if ( Model_Escorts::VERIFIED_STATUS_VERIFIED != $escort->verified_status ): ?>
		<span class="created"><img width="60" height="15" alt="<?= $label ?>" src="/index/list-date-img?date=<?= $escort->date_activated ?>" /></span>
	<? endif ?>
<? endif ?>
			<? if ( $escort->verified_status == Model_Escorts::VERIFIED_STATUS_VERIFIED && ! $escort->is_online ): ?>
			<div class="p100s"></div>
			<? endif; ?>

			<? if ( $escort->is_online ): ?>
			<div class="chat_online"></div>
			<? endif; ?>

			<span class="premium"></span>
			
			<? if ($escort->hh_is_active): ?>
				<span class="hh_sticker"></span>
			<? endif; ?>
			
			<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => $from, 'escort_id' => $escort->id)) ?>">
				<img id="p-<?= $escort->id ?>" src="<?= $escort->getMainPhoto()->getUrl('thumb') ?>" alt="<?= $escort->alt ?>" class="escort-thumb" />
			</a>
		</div>
	</div>
	<div class="city">
		<? if (isset($escort->heading_escort) && $escort->heading_escort): ?>
			<?= $escort->heading_escort ?>
		<? else: ?>
			<?= $escort->city ?>
		<? endif; ?>
	</div>
		<? if($escort->comment_count > 0):?>
			<div class="comment_icon"></div>
			<div class="comment_count"><?= $escort->comment_count ?></div>
		<? endif ?>
		<? if($escort->review_count > 0):?>
			<div class="review_icon"></div>
			<div class="review_count"><?= $escort->review_count ?></div>
		<? endif ?>
		<?	/*
		<? if ( $escort->incall_type ): ?>
		<span class="incall"></span>
		<? endif ?>

		<? if ( $escort->outcall_type ): ?>
		<span class="outcall"></span>
		<? endif ?>*/?>

<?
	$rate_str = '';
	$currencies = Model_Currencies::getAllAssoc(2);
	if ( $escort->outcall_price ) {
		$rate_str = '1h ' . $currencies[$escort->outcall_currency] . ' ' . $escort->outcall_price;
	}
	if ( $escort->incall_price ) {
		$rate_str = '1h ' . $currencies[$escort->incall_currency] . ' ' . $escort->incall_price;
	}
?>
<? if ( strlen($rate_str) > 0 ): ?>
	<span class="price"><?= $rate_str ?></span>
<? else: ?>
	<span class="price">&nbsp;</span>
<? endif; ?>



	<div class="clear"></div>
<? /*
<? if (date('G') >= 0 && date('G') < 6 && $escort->is_late_night): ?>
	<div class="<?= $this->lang() ?>_now_open_sticker"></div>
<? else: ?>

 */?>
	<? if ( strlen($escort->slogan) > 0 ): ?>
		<div class="slogan">
			<?= $escort->slogan ?>
		</div>
	<?// endif; ?>
<? endif; ?>
</div><!-- escort -->

		<? endforeach ?>
	</div><!-- row -->
	<? endforeach ?>
<? else: ?>
	<? if ( ! count($this->premiums) ): ?>
	<h2 class="no-escort"><?= $this->t('no_escorts_found') ?></h2>
	<? endif; ?>
	<div class="clear"></div>
<? endif; ?>

</div>

<span class="go-top gt-en"></span>